      logical FUNCTION MYWORD(KEYWRD,TESTWD)
      character KEYWRD*(*), TESTWD*(*)
      include 'MOP6FILE'
      MYWORD=.FALSE.
   10 J=INDEX(KEYWRD,TESTWD)
      if (J.NE.0) then
   20    if (KEYWRD(J:J).NE.' ') go to 30
         J=J+1
         go to 20
   30    MYWORD=.TRUE.
         do 60 K=J,241
            if (KEYWRD(K:K).EQ.'='.OR.KEYWRD(K:K).EQ.' ') then
C
C     CHECK FOR ATTACHED '=' SIGN
C
               J=K
               if (KEYWRD(J:J).EQ.'=') go to 50
C
C     CHECK FOR SEPARATED '=' SIGN
C
               do 40 J=K+1,241
                  if (KEYWRD(J:J).EQ.'=') go to 50
   40          if (KEYWRD(J:J).NE.' ') go to 10
C
C    THERE IS NO '=' SIGN ASSOCIATED WITH THIS KEYWORD
C
               go to 10
   50          KEYWRD(J:J)=' '
C
C   THERE MUST BE A NUMBER AFTER THE '=' SIGN, SOMEWHERE
C
               go to 20
            end if
   60    KEYWRD(K:K)=' '
      end if
      return
      end
